"""Set permissions to link items.

Revision ID: 1e0a2e67f99f
Revises: 74dd111159d7
Create Date: 2017-07-21 11:54:09.403090

"""

# revision identifiers, used by Alembic.
revision = '1e0a2e67f99f'
down_revision = '74dd111159d7'

import copy
from alembic import op
import sqlalchemy as sa
from sqlalchemy.orm import sessionmaker
from ringo.model.modul import ModulItem, ActionItem, ACTIONS
from ringo.model.user import Role

INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    connection = op.get_bind()
    aid = connection.execute("select max(id) from actions").fetchone()[0]
    SessionMaker = sessionmaker(bind=connection.engine)
    session = SessionMaker(bind=connection)
    modules = session.query(ModulItem).all()
    action = ACTIONS["link"]
    for m in modules:
        aid += 1
        new_action = copy.deepcopy(action)
        new_action.id = aid
        m.actions.append(new_action)
        session.flush()

    for m in modules:
        for action in m.actions:
            if action.name != "Read":
                continue
            # Role has READ permission. Now add Link
            for new_action in m.actions:
                if new_action.name == "Link":
                    for role in action.roles:
                        role.permissions.append(new_action)


def downgrade():
    connection = op.get_bind()
    SessionMaker = sessionmaker(bind=connection.engine)
    session = SessionMaker(bind=connection)
    result = session.query(ActionItem).filter(ActionItem.name == 'Link').all()
    for x in result:
        session.delete(x)
        session.flush()
