"""drop colmun hh_singleparent_depended, hh_employed and nullify hh_dependentchildren.

Revision ID: bca06b4e8a8d
Revises: bbe1d7fda607
Create Date: 2018-12-11 11:58:50.375241

"""

# revision identifiers, used by Alembic.
revision = 'bca06b4e8a8d'
down_revision = 'bbe1d7fda607'

from alembic import op
import sqlalchemy as sa


INSERTS = """UPDATE outputindicators SET hh_dependentchildren = NULL;"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('outputindicators', 'hh_employed')
    op.drop_column('outputindicators', 'hh_singleparent_depended')
    # ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('hh_singleparent_depended', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('hh_employed', sa.INTEGER(), autoincrement=False, nullable=True))
    # ### end Alembic commands ###
    iter_statements(DELETES)
